#pragma once
#include <Mesh3ds.h>
#include <gm_la_displayobject.h>
#include <GM_Material.h>


using namespace GM_lib;

class GM_3ds : public LA_DisplayObject
{
private:
	float mScale;
	Mesh3DS* mesh;
	void renderGeom();
	Material material;
	
	char * myName;
	double time;
protected:
	void localDisplay();
	void localSelect();
	void localSimulate(double dt) 
	{ time+=dt; if(time>M_2PI) time-=dt; rotateGlobal(dt/4,Vector3D<float>(3*sin(time),5*cos(3*time),1.0)); }
public:
	char * identity() { return myName;}
	GM_3ds(const char* infile);
	virtual ~GM_3ds(void);
};
