#include "GM_3DsObject.h"

//************************************************************************************************
// roughly based on Display3DS_VC7.zip from http://www2.p-squared.com by Pete.pinter@p-squared.com
//		removed all dependencies of MFC, with its afx??? and CObject, CObjArray etc.
//		removed dependency of glaux.lib, and replaced all bitmap loading functions
//		removed use of microsofts CString, warning char * are not checked in any way
//			rewritten parts to use GM_lib's storage
//************************************************************************************************

GM_3DsObject::GM_3DsObject(const char* infile)
{
    bool force2sided = false;
	_my_name = infile;
		
	T_Array<float>::setIncr(8);

	_mesh = new Mesh3DS((char *)infile, 45, force2sided);	// Instantiate Mesh3DS object

	if(!_mesh->parse3DS((char *)infile))	// Load data structures, display lists, etc.
	{
		delete	_mesh;
		cout << "Failed to Decode 3D Studio MAX file!: " << (*infile);
//		ExitProcess(GetLastError());
	}
	setSurroundingSphere(_mesh->sphere()); 
}

GM_3DsObject::~GM_3DsObject(void)
{
}

void GM_3DsObject::localDisplay()
{
	_mesh->localDisplay();	
}

void GM_3DsObject::localSelect()
{
    _mesh->localSelect();	
}
