
//********************************************
// GM_Ball.h: interface for the PBall classes.
//********************************************

#ifndef GM_BALL_H_
#define GM_BALL_H_

#include <GM_Sphere.h>

namespace GM_lib{

template <class T>
class PBall: public PSphere<T,3>
{
 public:
	 PBall(float radius = 1.0): PSphere<T,3>(radius) {}
	PBall(float radius, int s1, int s2): PSphere<T,3>(radius, s1, s2) {}
	PBall(const PBall<T>& s): PSphere<T,3>(s) {}

	const char* identity() const { return " PBall-SURF";}
};

} // end namespace GM_lib

#endif   /* GM_BALL_H_ */