//////////////////////////////////////////////////////////////////////
// Sun.cpp: implementation of the Sun class.
//////////////////////////////////////////////////////////////////////

#include <GM_Sun.h>
using namespace GM_lib;
//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

Sun::Sun(const Vector<GLfloat,3>& dir)
{
	_dir = dir;
	_type_id  = 3;
	setDayLight();
}

Sun::~Sun()
{

}
void Sun::setDayLight(const GL_Color& amb)
{
	_global_ambient = amb;
	_setDayLight(1);
}


void Sun::_setDayLight(double d)
{
	GL_Color	a = d*_global_ambient;
	GLfloat f[4];
	f[0] = GLfloat(a.getRd());
	f[1] = GLfloat(a.getGd());
	f[2] = GLfloat(a.getBd());
	f[3] = GLfloat(a.getAd());
	glLightModelfv(GL_LIGHT_MODEL_AMBIENT,f);
}

//////////////////////////////////////////////////////////////////////
// Virtuelle lightning funksjoner
//////////////////////////////////////////////////////////////////////

void Sun::lighting()
{
	glPushMatrix();
	_present.mult();
	glLightSun(_dir);
	glPopMatrix();
}