#pragma once

template< class T >
class LambdaTear : public GM_lib::PCurve< T, 2 >
{
	public:
		
		LambdaTear( float lambda );
		virtual ~LambdaTear();

		LambdaTear( const LambdaTear< T >& right );
		LambdaTear< T >& operator=( const LambdaTear< T >& right );


		virtual void _eval( T t, int d );
	
		virtual T _st_p();
        virtual T _end_p();

	private:
		 
		float start_p;
		float end_p;

		float lambda;
};
