SOURCES	+= main.cpp \
	gl2ps.c \
	gm_lib/GM_BSplineSurf.cpp \
	gm_lib/GM_Camera.cpp \
	gm_lib/GM_CameraIso.cpp \
	gm_lib/GM_DisplayObject.cpp \
	gm_lib/GM_LA_DisplayObject.cpp \
	gm_lib/GM_Light.cpp \
	gm_lib/GM_Material.cpp \
	gm_lib/GM_PointLight.cpp \
	gm_lib/GM_PointLight_G.cpp \
	gm_lib/GM_QtWindow.cpp \
	gm_lib/GM_Scene.cpp \
	gm_lib/GM_SpotLight.cpp \
	gm_lib/GM_SpotLight_G.cpp \
	gm_lib/GM_StlObject.cpp \
	gm_lib/GM_Stream.cpp \
	gm_lib/GM_Sun.cpp \
	gm_lib/GM_Texture.cpp \
	gm_lib/GM_Window.cpp
HEADERS	+= gl2ps.h \
	rotate_and_project.h \
	gm_lib/GM_Angle.h \
	gm_lib/GM_Apple.h \
	gm_lib/GM_Apple_Plan.h \
	gm_lib/GM_Array.h \
	gm_lib/GM_Asteroidal_Sphere.h \
	gm_lib/GM_Ball.h \
	gm_lib/GM_Ball_.h \
	gm_lib/GM_Bent_Horns.h \
	gm_lib/GM_BezierCurve.h \
	gm_lib/GM_Bohemian_Dome.h \
	gm_lib/GM_Bottle8.h \
	gm_lib/GM_Bours_Surface.h \
	gm_lib/GM_Boys_Surface.h \
	gm_lib/GM_Boy_Surface.h \
	gm_lib/GM_BSplineCurve.h \
	gm_lib/GM_BSplineSurf.h \
	gm_lib/GM_Camera.h \
	gm_lib/GM_Cone.h \
	gm_lib/GM_CoordinateSystem.h \
	gm_lib/GM_Crosscap.h \
	gm_lib/GM_Cylinder.h \
	gm_lib/GM_DArrayN.h \
	gm_lib/GM_Dini_Surf.h \
	gm_lib/GM_DisplayObject.h \
	gm_lib/GM_DMatrix.h \
	gm_lib/GM_DVector.h \
	gm_lib/GM_DVectorN.h \
	gm_lib/GM_Eight_Surface.h \
	gm_lib/GM_Ennepers_Surface.h \
	gm_lib/GM_ExpoRationalCurve.h \
	gm_lib/GM_ExpoRational_Surf.h \
	gm_lib/GM_Heart.h \
	gm_lib/GM_Helicoid.h \
	gm_lib/GM_HermiteCurve.h \
	gm_lib/GM_Inside_Out_Torus.h \
	gm_lib/GM_Kleins_Bottle.h \
	gm_lib/GM_Kuen_Surf.h \
	gm_lib/GM_LA_DisplayObject.h \
	gm_lib/GM_Light.h \
	gm_lib/GM_LX_Array.h \
	gm_lib/GM_Material.h \
	gm_lib/GM_Moebius.h \
	gm_lib/GM_OpenGL.h \
	gm_lib/GM_PCurve.h \
	gm_lib/GM_Plan.h \
	gm_lib/GM_Point.h \
	gm_lib/GM_Point2D.h \
	gm_lib/GM_Point3D.h \
	gm_lib/GM_PointLight.h \
	gm_lib/GM_PointLight_G.h \
	gm_lib/GM_PPlane.h \
	gm_lib/GM_PSurf.h \
	gm_lib/GM_PSurf_Ball.h \
	gm_lib/GM_PWLCurve.h \
	gm_lib/GM_QtWindow.h \
	gm_lib/GM_Random.h \
	gm_lib/GM_RoseCurve.h \
	gm_lib/GM_Scene.h \
	gm_lib/GM_Seashell.h \
	gm_lib/GM_Seashell1.h \
	gm_lib/GM_Seashell2.h \
	gm_lib/GM_Selector.h \
	gm_lib/GM_SelectorGrid.h \
	gm_lib/GM_Sherk_Surf.h \
	gm_lib/GM_Sin_surface.h \
	gm_lib/GM_Slippers_Surf.h \
	gm_lib/GM_SMatrix.h \
	gm_lib/GM_Sphere.h \
	gm_lib/GM_SpotLight.h \
	gm_lib/GM_SpotLight_G.h \
	gm_lib/GM_Steiners_Roman_Surface.h \
	gm_lib/GM_StlObject.h \
	gm_lib/GM_Stream.h \
	gm_lib/GM_Sun.h \
	gm_lib/GM_Swallowtail.h \
	gm_lib/GM_Texture.h \
	gm_lib/GM_Tid.h \
	gm_lib/GM_Torus.h \
	gm_lib/GM_Triangle.h \
	gm_lib/GM_Trianguloid_Trefoil.h \
	gm_lib/GM_T_Array.h \
	gm_lib/GM_Whitney_Umbrella.h \
	gm_lib/GM_Window.h \
	gm_lib/math_util.h
	
# ----------------------------------------------------------
# Project generated by BBang September 2005
#    Template used:    Basic Application
#    Template version: 1.0
# ----------------------------------------------------------

	

TARGET         = VrGFX

unix {
   UI_DIR      = .ui
   MOC_DIR     = .moc
   OBJECTS_DIR = .obj
}


LIBPATH +=  .\jpg  \

		
FORMS	= materialselect.ui \
	mainwindow.ui \
	curvature.ui \
	sliderinput.ui \
	modeltree.ui \
	getpoint.ui
IMAGES	= images/filenew \
	images/fileopen \
	images/filesave \
	images/print \
	images/undo \
	images/redo \
	images/editcut \
	images/editcopy \
	images/editpaste \
	images/searchfind \
	images/fly6.png
TEMPLATE	=app
CONFIG	+= qt warn_on release debug opengl
DEFINES	+=  /GR
INCLUDEPATH	+= . .\gm_lib .\jpg\include 
LIBS	+= libjpeg.lib libpng.lib 
LANGUAGE	= C++
