#ifndef _COEFPOINT_H_
#define _COEFPOINT_H_


template<class T>
class CoefPoint
{
protected:
	T _orgval;
	T _scaledval;

	int _matnr;
	DVector<int> _pos;

public:
	CoefPoint() {}
	CoefPoint(T orgval, T scaledval, int matnr, DVector<int> pos)
	{
		_orgval = orgval; _scaledval = scaledval; _matnr = matnr; _pos = pos;
	}

	~CoefPoint() {}

	T getVal() {return _orgval;}
	int getMatnr() {return _matnr;}
	DVector<int> getPos() {return _pos;}

	void setVal(const T &orgval) { _orgval = orgval; }

	bool operator < (const CoefPoint<T> &cp)const
	{
		return bool(this->_scaledval < cp._scaledval);
	}

}; //end class

#endif //_COEFPOINT_H_