#include <iostream>
using namespace std;
#include "colorgradient.h"

ColorGradient::ColorGradient(void)
{
}
void ColorGradient::setMaxValue(float max)
{
	this->max = max;
}

void ColorGradient::setMinValue(float min)
{
	this->min = min;
}
void ColorGradient::addMaxValue(float max)
{
	this->max += max;
}
void ColorGradient::addMinValue(float min)
{
	this->min += min;
}


void ColorGradient::getValue(float &red,float &green,float &blue,float value)
{
	red = 0.0;
	green = 0.0;
	blue = 0.0;
	float div = max - min;
    value = (value-min)/div;

	if (value>=0.0e0 && value<=0.16667e0)
	{
		red = 1.0;
		blue = 6.0e0 * value;
	}
	else
		if (value>0.16667e0 && value<=0.3333e0)
		{
			blue = 1.0;
			red = 1.0e0 - (6.0e0*(value-0.16667e0));
		}
		else
			if (value > 0.3333e0 && value<=0.5e0)
			{
				green = 6*(value-0.3333) ;
				blue = 1.0;
			}else
			if (value > 0.5 && value<=0.6666)
			{

				blue = 1 - (6*(value-0.5));
				green = 1.0;
			}else
				if (value > 0.6666 && value<=0.8333)
				{

					red = (6*(value-0.6666));
					green = 1.0;
				}else
					if (value > 0.8333 && value<=1.0)
					{

						green = 1 - (6*(value-0.8333));
						red = 1.0;
					}
					else{
						red = 1.0;
						green = 1.0;
						blue = 1.0;
					}

}

ColorGradient::~ColorGradient(void)
{
}
