#ifndef DEFINITIONS_H_
#define DEFINITIONS_H_


namespace Wave_lib
{
	enum FILTER_MODE {LINEAR = 1,CIRCULAR=2,RECTANGULAR=3};

	enum POSITIONS {LEFT = 1,RIGHT = 2,CENTER = 0,FIRST = 3};	
	enum DWT_MODES {ZPD = 1,SP0,SP1,SYM,PPD,PER};
	enum MATRIX_1 {COLUMN=1,ROW,COLUMN_ROW};
	enum DETCOEF {ALL=0,A=0 ,H=1,V=1,D=1,C=2 };
	enum LOC {LOC_UP_SIDE=1,LOC_LEFT_SIDE=1,LOC_DOWN_SIDE=2,LOC_RIGHT_SIDE=2,LOC_BOTH_SIDES=3,LOC_NULL=4};
	
	#define EVEN(x) (!ODD(x))
	#define ODD(x)  ((x) & 0x01)

} //end namespace Wave_lib

#endif