#include "graph.h"

Graph::Graph(int width,int height)
{
	this->width = width;
	this->height = height;
	init();
}

Graph::~Graph(void)
{
}
void Graph::init()
{
	rgbcurve[0] = 1.0;
	rgbcurve[1] = 0.0;
	rgbcurve[2] = 0.0;
	dsx = 1.0;
	dsy = 1.0;
}


void Graph::addCurve(GraphCurve *curve)
{
	curves.alwaysInsert(curve);
}


void Graph::drawCurve()
{
	for (int i=0;i<curves.size();i++)
		curves[i]->display();
}


void Graph::localDisplay()
{
	drawBorders();
	drawCurve();
	
}
void Graph::localSelect()
{
}
void Graph::localSimulate(double dt)
{
}

void Graph::drawBorders()
{
	glDisable(GL_LIGHTING);
	glColor3f(0,0.8,0);
	glLineWidth(3);
	glBegin(GL_LINES);
		glVertex2i(0,-height/10);
		glVertex2i(0,height+height/10);
		glVertex2i(-width/10,0);
		glVertex2i(width+width/10,0);
	glEnd();
	glLineWidth(1);

}