#pragma once



#include <GM_Array.h>
#include "DisplayObject.h"
#include <GM_DVector.h>

#include <GraphCurve.h>

using namespace GM_lib;


class Graph : public DisplayObject
{
public:
	Graph(int width,int height);
	~Graph(void);
	//void insertCurve(DVector<double> curvedata);
	void addCurve(GraphCurve *curve); 

	virtual char* identity() { return "GRAPH";}

protected:
	void localDisplay();
	void localSelect();
	void localSimulate(double dt);

	void init();


	void drawBorders();
	void drawCurve();
private:
	int height;
	int width;
	float rgbcurve[3];
	double min,max;
	float dsx,dsy;
	//DVector<double> curvedata;
	Array<GraphCurve *> curves;


};
