#include <wave_lib/WaveFLWTnD.h>
#include <GM_Tid.h>
 
using namespace GM_lib;

namespace Wave_lib
{
	template<class T, int n>
	WaveFLWTnD<T,n>::WaveFLWTnD<T,n>(Filters<T> *filter,double fdegree)
	{
		this->_filter = filter;
		getFilterCoefs(fdegree);
	}

	template<class T, int n> WaveFLWTnD<T,n>::~WaveFLWTnD<T,n>() {}

	template<class T, int n>
	void WaveFLWTnD<T,n>::getFilterCoefs(double fd)
	{
		this->fdegree = fd;
		_filter->_getFilter(fd);	
	}

	/*****************************************************************
	Decompose the insignal into a array of coefs. Handles also 
	multilevels. Returning the array
	******************************************************************/
	template<class T, int n>
	void WaveFLWTnD<T,n>::decomposition(DArrayN<T,n> mat, const int level, Array<DArrayN<T,n>* > &c, Array<DVector<int>* > &l)
	{	
	}

	/*****************************************************************
	Reconstruct the insignal from a array of coefs. Handles also 
	multilevels. Returning the reconstructed insignal
	******************************************************************/
	template<class T, int n>
	DArrayN<T,n> WaveFLWTnD<T,n>::reconstruction(Array<DArrayN<T,n>*> c,Array<DVector<int>* > l)
	{
	}

	template<class T, int n>
	void WaveFLWTnD<T,n>::flwt(DArrayN<T,n>* mat, Array<DArrayN<T,n>*> &c)
	{/*	
		int i, k, //counters 
        n,          // maximum number of levels
        ndir,     // number of iterations in directions 
        step,       // step size of current level 
        max_step,   // maximum and initial step 
        maxN;       // maximum number of vanishing moments 

		DArrayN<T,n> mymat;
		mymat = *mat;

		// Calculate number of iterations n. It is the maximum  
		// value such that the following relation is satisfied. 
		//        (2^n)*(N-1) <= L < (2^(n+1))*(N-1) + 1       
		// and N = max (# dual vanish mom & # real vanish mom)  
		// Hence, solving for n, we have the following equation 
		// for all the cases:  n = floor (log_2((L-1)/(N-1))    
		maxN = (int)MAX(N, nTilde) - 1;   // max vanishing moments 
		ndir = (nymat.dim() == 1) ? 0 : (int)logBaseN ( (int)(nymat.dim()-1)/maxN, 2 );
		ndir = (ndir < 0) ? 0 : MIN(level, ndir);   // find lowest level 

		max_step = (ndir==0) ? 0 : 1<<ndir;   // maximum step 
        for ( step=1 ; step<max_step ; step<<=1 ) 
		{
			for ( i=0 ; i<nymat.dim() ; i+=step ) 
			{
				// Apply forward transform 
				FLWT_Predict ( nymat,1, step, N );
				FLWT_Update  ( nymat,1, step, nTilde );
		   }
        }*/
	}

	template<class T, int n>
	DArrayN<T,n> WaveFLWTnD<T,n>::iflwt(Array<DArrayN<T,n>*> c, DVector<int> sizeKEEP)
	{
		
	}

}//end namespace Wave_lib