#pragma once

using namespace GM_lib;

template  <class T, int n> 
Point<T,3> rotate_and_project(Point<T,n> ppp, T angle, int m)  // use & and const ??
{
	Point<T,3> p; 
	double sphi=sin(angle);
	double cphi=cos(angle);
	Point<T,n> pp,tt;
	int i;

	for( i=0;i<n;i++)  pp[i]=ppp[i];   // initialize 
	for( i=m;i<n;i++)  tt[i]=pp[i-m];  // and select start plane
	for( i=0;i<m;i++)  tt[i]=pp[i+m];  

	int a, b;
	for(a=0;a<n-1;a++)
		for(b=a+1;b<n;b++)
		{
			tt[a]=cphi*pp[a]-sphi*pp[b];
			tt[b]=sphi*pp[a]+cphi*pp[b]; 
			for( i=0;i<n;i++) pp[i]=tt[i];
		}
		for( i=0;i<3;i++) p[i]=pp[i];
		return p; 
}



// Not finished...
template  <class T, int n,int m> 
Point<T,n+m> tensor_product(Point<T,n> a, Point<T,m> b)
{ 
	Point<T,n+m> p;
	for(int i=0; i<n; i++)
		for(int j=0;j<m; j++)
			p[i][j]=a[i]*b[j];
	return p;
}