#pragma once

template < class T >
class Curve
{
	public:

		Curve();
		virtual ~Curve();
		Curve( const Curve< T >& right );
		Curve< T >& operator( const Curve< T >& right );

		bool insert_point( T x, T y );
		bool delete_point( T x, T y );

		GM_Lib::DispDArray1D display_array() const;


	private:

		std::multimap< T, T > points;
};
