#pragma once

#include <GM_LA_Displayobject.h>
#include <GM_Material.h>
#include "Mesh3ds.h"

using namespace GM_lib;


class GM_3DsObject : public LA_DisplayObject
{
private:
	Mesh3DS*	_mesh;
	GM_String	_my_name;

protected:
	void localDisplay();
	void localSelect();
	void localSimulate(double dt) {}

public:
	GM_3DsObject(const char* infile="tpot.3ds");
 
	~GM_3DsObject(void);

	const char* identity() const { return _my_name.c_str();}
};
