//********************************************************
// GM_GlutWindow.h: interface for the GM_GlutWindow class.
//********************************************************
#pragma once

#include <GM_Window.h>
#include <GL/glut.h>


namespace GM_lib {


class GM_GlutWindow: public GM_Window
{
	static GM_GlutWindow* _current;
	static void display(void);
	static void reshape(int w, int h);
	static void idle(void);
	static void mouse(int button, int state, int x, int y);
	static void mouseMotion(int x, int y);
	static void keyboard (unsigned char key, int x, int y);
	
	void _swapBuffers();

public:
	GM_GlutWindow(char* text, int w, int h, int x, int y);

	~GM_GlutWindow() {}

	void mainLoop();
};

} // end namespace GM_lib
