
#include <GM_QtWindow.h>
#include <qcolordialog.h>

//////////////////////////////////////////////////////////////////////////////
// Implementation of the key definition functions for the Qtwindows system. //
//		Thise functions are overruling the GM_Window fuctions				// 
//--------------------------------------------------------------------------//
///////		You can make your own version of these files!!		//////////////
//////////////////////////////////////////////////////////////////////////////



////////////////////////////////////////////////////////////////////
//************************   Key: +, -  ****************************
////////////////////////////////////////////////////////////////////
//void GM_QtWindow::_keyDef_PLUSS(int x, int y)
//{
//}

//void GM_QtWindow::_keyDef_MINUS(int x, int y)
//{
//}

////////////////////////////////////////////////////////////////////
//***************  Key: numbers (0,1,2,3,4,5,6,7,8,9  **************
////////////////////////////////////////////////////////////////////
//void GM_QtWindow::_keyDef_NULL(int x, int y)
//{
//}

////////////////////////////////////////////////////////////////////
//************************   Key: a, A  ****************************
////////////////////////////////////////////////////////////////////
//void GM_QtWindow::_keyDef_a(int x, int y)
//{
//}

//void GM_QtWindow::_keyDef_A(int x, int y)
//{
//}

////////////////////////////////////////////////////////////////////
//************************   Key: b, B  ****************************
////////////////////////////////////////////////////////////////////
void GM_QtWindow::_keyDef_b(int x, int y)
{
#if QT_VERSION >= 0x040000
	// valid for Qt version 4
	QColor bgc = QColorDialog::getColor(QColor( (255,255,255) ), this);
#else
	// valid for Qt version 3
	QColor bgc = QColorDialog::getColor(QColor( (255,255,255) ),
										this, "Background Color Dialog");
#endif
	

	qglClearColor(bgc);	
	updateGL();
}

void GM_QtWindow::_keyDef_B(int x, int y)
{
	paintGL();
	_screenDump();
}

////////////////////////////////////////////////////////////////////
//************************   Key: c, C  ****************************
////////////////////////////////////////////////////////////////////
void GM_QtWindow::_keyDef_c(int x, int y)
{
	clear();
	_message("Cleared window!");
}

//void GM_QtWindow::_keyDef_C(int x, int y)
//{
//}

////////////////////////////////////////////////////////////////////
//************************   Key: d, D  ****************************
////////////////////////////////////////////////////////////////////
//void GM_QtWindow::_keyDef_d(int x, int y)
//{
//}

//void GM_QtWindow::_keyDef_D(int x, int y)
//{
//}

////////////////////////////////////////////////////////////////////
//************************   Key: e, E  ****************************
////////////////////////////////////////////////////////////////////
//void GM_QtWindow::_keyDef_e(int x, int y)
//{
//}

//void GM_QtWindow::_keyDef_E(int x, int y)
//{
//}

////////////////////////////////////////////////////////////////////
//************************   Key: f, F  ****************************
////////////////////////////////////////////////////////////////////
//void GM_QtWindow::_keyDef_f(int x, int y)
//{
//}

//void GM_QtWindow::_keyDef_F(int x, int y)
//{
//}


////////////////////////////////////////////////////////////////////
//************************   Key: g, G  ****************************
////////////////////////////////////////////////////////////////////
//void GM_QtWindow::_keyDef_g(int x, int y)
//{
//}

//void GM_QtWindow::_keyDef_G(int x, int y)
//{
//}

////////////////////////////////////////////////////////////////////
//************************   Key: h, H  ****************************
////////////////////////////////////////////////////////////////////
//void GM_QtWindow::_keyDef_h(int x, int y)
//{
//}

//void GM_QtWindow::_keyDef_H(int x, int y)
//{
//}

////////////////////////////////////////////////////////////////////
//************************   Key: i, I  ****************************
////////////////////////////////////////////////////////////////////
//void GM_QtWindow::_keyDef_i(int x, int y)
//{
//}

//void GM_QtWindow::_keyDef_I(int x, int y)
//{
//}

////////////////////////////////////////////////////////////////////
//************************   Key: j, J  ****************************
////////////////////////////////////////////////////////////////////
//void GM_QtWindow::_keyDef_j(int x, int y)
//{
//}

//void GM_QtWindow::_keyDef_J(int x, int y)
//{
//}

////////////////////////////////////////////////////////////////////
//************************   Key: k, K  ****************************
////////////////////////////////////////////////////////////////////
//void GM_QtWindow::_keyDef_k(int x, int y)
//{
//}

//void GM_QtWindow::_keyDef_K(int x, int y)
//{
//}

////////////////////////////////////////////////////////////////////
//************************   Key: l, L  ****************************
////////////////////////////////////////////////////////////////////
//void GM_QtWindow::_keyDef_l(int x, int y)
//{
//}

//void GM_QtWindow::_keyDef_L(int x, int y)
//{
//}

////////////////////////////////////////////////////////////////////
//************************   Key: m, M  ****************************
////////////////////////////////////////////////////////////////////
//void GM_QtWindow::_keyDef_m(int x, int y)
//{
//}

//void GM_QtWindow::_keyDef_M(int x, int y)
//{
//}

////////////////////////////////////////////////////////////////////
//************************   Key: n, N  ****************************
////////////////////////////////////////////////////////////////////
//void GM_QtWindow::_keyDef_n(int x, int y)
//{
//}

//void GM_QtWindow::_keyDef_N(int x, int y)
//{
//}

////////////////////////////////////////////////////////////////////
//************************   Key: o, O  ****************************
////////////////////////////////////////////////////////////////////
//void GM_QtWindow::_keyDef_o(int x, int y)
//{
//}

//void GM_QtWindow::_keyDef_O(int x, int y)
//{
//}

////////////////////////////////////////////////////////////////////
//************************   Key: p, P  ****************************
////////////////////////////////////////////////////////////////////
//void GM_QtWindow::_keyDef_p(int x, int y)
//{
//}

//void GM_QtWindow::_keyDef_P(int x, int y)
//{
//}

////////////////////////////////////////////////////////////////////
//************************   Key: q, Q  ****************************
////////////////////////////////////////////////////////////////////
//void GM_QtWindow::_keyDef_q(int x, int y)
//{
//}

//void GM_QtWindow::_keyDef_Q(int x, int y)
//{
//}

////////////////////////////////////////////////////////////////////
//************************   Key: r, R  ****************************
////////////////////////////////////////////////////////////////////
//void GM_QtWindow::_keyDef_r(int x, int y)
//{
//}

//void GM_QtWindow::_keyDef_R(int x, int y)
//{
//}

////////////////////////////////////////////////////////////////////
//************************   Key: s, S  ****************************
////////////////////////////////////////////////////////////////////
//void GM_QtWindow::_keyDef_s(int x, int y)
//{
//}

//void GM_QtWindow::_keyDef_S(int x, int y)
//{
//}

////////////////////////////////////////////////////////////////////
//************************   Key: t, T  ****************************
////////////////////////////////////////////////////////////////////
//void GM_QtWindow::_keyDef_t(int x, int y)
//{
//}

//void GM_QtWindow::_keyDef_T(int x, int y)
//{
//}

////////////////////////////////////////////////////////////////////
//************************   Key: u, U  ****************************
////////////////////////////////////////////////////////////////////
//void GM_QtWindow::_keyDef_u(int x, int y)
//{
//}

//void GM_QtWindow::_keyDef_U(int x, int y)
//{
//}

////////////////////////////////////////////////////////////////////
//************************   Key: v, V  ****************************
////////////////////////////////////////////////////////////////////
//void GM_QtWindow::_keyDef_v(int x, int y)
//{
//}

//void GM_QtWindow::_keyDef_V(int x, int y)
//{
//}

////////////////////////////////////////////////////////////////////
//************************   Key: w, W  ****************************
////////////////////////////////////////////////////////////////////
//void GM_QtWindow::_keyDef_w(int x, int y)
//{
//}

//void GM_QtWindow::_keyDef_W(int x, int y)
//{
//}

////////////////////////////////////////////////////////////////////
//************************   Key: x, X  ****************************
////////////////////////////////////////////////////////////////////
//void GM_QtWindow::_keyDef_x(int x, int y)
//{
//}

//void GM_QtWindow::_keyDef_X(int x, int y)
//{
//}

////////////////////////////////////////////////////////////////////
//************************   Key: y, Y  ****************************
////////////////////////////////////////////////////////////////////
//void GM_QtWindow::_keyDef_y(int x, int y)
//{
//}

//void GM_QtWindow::_keyDef_Y(int x, int y)
//{
//}

////////////////////////////////////////////////////////////////////
//************************   Key: z, Z  ****************************
////////////////////////////////////////////////////////////////////
//void GM_QtWindow::_keyDef_z(int x, int y)
//{
//}

//void GM_QtWindow::_keyDef_Z(int x, int y)
//{
//}



//**********************************************************************
//
//	Special keys
//
//**********************************************************************

//void GM_QtWindow::_keyDef_F1(int x, int y)
//{
//}

//void GM_QtWindow::_keyDef_F2(int x, int y)
//{
//}

//void GM_QtWindow::_keyDef_F3(int x, int y)
//{
//}

//void GM_QtWindow::_keyDef_F4(int x, int y)
//{
//}

//void GM_QtWindow::_keyDef_F5(int x, int y)
//{
//}

//void GM_QtWindow::_keyDef_F6(int x, int y)
//{
//}

//void GM_QtWindow::_keyDef_F7(int x, int y)
//{
//}

//void GM_QtWindow::_keyDef_F8(int x, int y)
//{
//}

//void GM_QtWindow::_keyDef_F9(int x, int y)
//{
//}

//void GM_QtWindow::_keyDef_F10(int x, int y)
//{
//}

//void GM_QtWindow::_keyDef_F11(int x, int y)
//{
//}

//void GM_QtWindow::_keyDef_F12(int x, int y)
//{
//}

//void GM_QtWindow::_keyDef_LEFT(int x, int y)
//{
//}

//void GM_QtWindow::_keyDef_UP(int x, int y)
//{
//}

//void GM_QtWindow::_keyDef_RIGHT(int x, int y)
//{
//}

//void GM_QtWindow::_keyDef_DOWN(int x, int y)
//{
//}

//void GM_QtWindow::_keyDef_PAGE_UP(int x, int y)	// ZOOM IN
//{
//}

//void GM_QtWindow::_keyDef_PAGE_DOWN(int x, int y)	// ZOOM OUT
//{
//}

//void GM_QtWindow::_keyDef_HOME(int x, int y)
//{
//}

//void GM_QtWindow::_keyDef_END(int x, int y)
//{
//}

//void GM_QtWindow::_keyDef_INSERT(int x, int y)
//{
//}

//void GM_QtWindow::_keyDef_DELETE(int x, int y)
//{
//}
