#ifndef _GM_RANDOM_H_
#define _GM_RANDOM_H_
// andre forsk, vre grense er ikke med i settet.
#include <stdlib.h>
#include <math.h>

template<class T> class GM_Random
{
private:
    T low, high;
	
public:
	GM_Random() {low=0.0; high=1.0;} // 
	GM_Random(T mn, T mx) { low=mn; high=mx; } 
	void setSeed(unsigned int s) { srand(s); }
	// void setGauss(float sigma, float sentervalue){};
	// T draw(){return (T) floor(((float)rand()/(float) RAND_MAX)*(high-low)+low); } 
		
	//Return random value in desired interval, constant p()
	T draw() {
		 T iinterval = high-low;
		 T i = T(iinterval * ((double)rand()/(double)RAND_MAX)); 
         return (low + i);}
};
# endif _GM_RANDOM_H
