#include <GM_PCurve.h>

#include ".\lambdatear.h"

template <class T>
LambdaTear< T >::LambdaTear( float lambda ) : start_p( 0.0 ), end_p( 2.0 ), lambda( lambda )
{
}

template <class T>
LambdaTear< T >::~LambdaTear()
{
}

template <class T>
LambdaTear< T >::LambdaTear( const LambdaTear< T >& right ) : start_p( right.start_p ), end_p( right.end_p ), lambda( right.lambda )
{
}

template <class T>
LambdaTear< T >& LambdaTear< T >::operator=( const LambdaTear< T >& right )
{
	if( this != &right )
	{
		start_p = right.start_p;
		end_p = right.end_p;
		lambda = right.lambda;
	}

	return *this;
}


template <class T>
void LambdaTear< T >::_eval( T t, int d )
{

}
	
template <class T>
T LambdaTear< T >::_st_p()
{
	return start_p;
}

template <class T>
T LambdaTear< T >::_end_p()
{
	return end_p;
}

//pow(_x[t],lambda) * exp(-_x[t]*_x[t]/(1-_x[t]*_x[t])); 