#include <iostream>

using namespace std;
#include "colorpoint.h"





ColorPoint::ColorPoint(GLuint listID)
{
	this->listID = listID;
	init();
}

ColorPoint::~ColorPoint(void)
{

}

void ColorPoint::init()
{
    index_of_vector = -1;
	index_in_vector = -1;
	r = 1.0;
	g = 1.0;
	b = 1.0;
	width = 1.0;
	height = 1.0;
}

void ColorPoint::setValue(double &val)
{
	this->value = val;
}

double ColorPoint::getValue()
{
	return value;
}
int ColorPoint::getIndex()
{
	return index;
}
int ColorPoint::getIndexOfVector()
{
	return index_of_vector;
}
int ColorPoint::getIndexInVector()
{
	return index_in_vector;
}

void ColorPoint::setIndex(int index_of_vector,int index_in_vector,int index)
{
	this->index_of_vector = index_of_vector;
	this->index_in_vector = index_in_vector;
	this->index = index;
}

void ColorPoint::setRGB(float _r,float _g,float _b)
{
	this->r = _r;
	this->g = _g;
	this->b = _b;
}


void ColorPoint::addValue(double val)
{
	value+=val;
}

void ColorPoint::setWidth(float width)
{
	this->width = width;
}
void ColorPoint::setHeight(float height)
{
	this->height = height;
}
void ColorPoint::localDisplay()
{
	glColor3f(r,g,b);
	glScalef(width,height,1);
	glCallList(listID);
}


void ColorPoint::localSelect()
{
	GL_Color name(getName());	
	name.glSet();
	glScalef(width,height,1);
	glCallList(listID);
}

void ColorPoint::localSimulate(double dt)
{

}