#pragma once

#include "DisplayObject.h"
using namespace GM_lib;

class ColorPoint : public DisplayObject
{
public:
	ColorPoint(GLuint listID);
	~ColorPoint(void);
	void setIndex(int index_of_vector,int index_in_vector,int index);
	void setRGB(float r,float g,float b);
	void setWidth(float width);
	void setHeight(float height);
	void setValue(double &val);
	void addValue(double val);
	double getValue();

	int getIndex();
	int getIndexOfVector();
	int getIndexInVector();

	
private:
	void localDisplay();
	void localSelect();
	void localSimulate(double dt);

	void init();
	double value;
	float width;
	float height;
	int index_of_vector;
	int index_in_vector;
	int index;
	GLuint listID;
	float r,g,b;

protected:
};
