#pragma once

#include <GM_DVector.h>
#include <GM_OpenGL.h>

using namespace GM_lib;

class GraphCurve 
{
public:
	GraphCurve(char *name = "No name",int width=100,int height=100);
	void setData(DVector<double> data);
	~GraphCurve(void);
	void display();
	void setColor(float r,float g,float b);
	void setScale(float dx,float dy);
	void setData(int i,double data);
	void setSibling(GraphCurve *sibling);

private:
protected:
	GraphCurve *sibling;
	void init();
	char *curve_name;
	int height;
	int width;
	double min,max;
	DVector<double> curve_data;
	float rgb[3];
	float dx,dy;

};
